Ubuntu

Need support of Ralink RT3290 wifi support

Reported by Anthony Wong on 2012-09-12
614
This bug affects 119 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Baltix)
High
Mantas Kriaučiūnas
linux (Gentoo Linux)
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
tenshi
linux-firmware (Ubuntu)
High
brahmanpc@gmail.com
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

RT3290 wifi chip is becoming common on consumer notebooks. Its support starts from 3.6 so support on 12.10 may need lbm-cw.

commit a89534edaaa7008992b878680490e9b02a665563
Author: Woody Hung <email address hidden>
Date: Wed Jun 13 15:01:16 2012 +0800

    rt2x00 : RT3290 chip support v4

    This patch support the new chipset rt3290 wifi implementation in rt2x00.
    It initailize the related mac, bbp and rf register in startup phase.
    And this patch modify the efuse read/write method for the different efuse data offset of rt3290.

    Signed-off-by: Woody Hung <email address hidden>
    Signed-off-by: John W. Linville <email address hidden>

tags: added: blocks-hwcert-enablement
affects: ubuntu → linux
no longer affects: linux

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1049466

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

I see that commit is included in v3.6-rc1. Do you happen to know if a request will be made to have the commit included in upstream linux-stable?

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: precise quantal
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Changed in linux (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
Denis Kurochkin (d-k-brazz) wrote :

I also have notebook with RT3290 wifi chip
how I can help, that the patch has been included in quantal as soon as possible?

tags: added: rt3290
tags: added: wi-fi
Anthony Wong (anthonywong) wrote :

Hi dkBrazz,

I think in Quantal the support will be provided by linux-backports-modules-cw-3.6. If you want to help testing, can you enable -proposed repository by following the instructions in https://wiki.ubuntu.com/Testing/EnableProposed, and then install the package linux-backports-modules-cw-3.6-quantal-generic (open a terminal, then type 'sudo apt-get install linux-backports-modules-cw-3.6-quantal-generic').

Geoff Kelsall (q5sc) wrote :

I am on 12.10 but am having trouble with the above test.

I enabled the repository
(to enable -proposed you need to go to System Settings not as described in the link above)
but then:

geoff@geoff-laptop:~$ sudo apt-get install linux-backports-modules-cw-3.6-quantal-generic
[sudo] password for geoff:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package linux-backports-modules-cw-3.6-quantal-generic
E: Couldn't find any package by regex 'linux-backports-modules-cw-3.6-quantal-generic'
geoff@geoff-laptop:~$

Can anyone advise?

Regards

Geoff

Geoff Kelsall (q5sc) wrote :

geoff@geoff-laptop:~$ dmesg|grep rt2
[ 2.002349] Registered led device: rt2800pci-phy0::radio
[ 2.002396] Registered led device: rt2800pci-phy0::assoc
[ 2.002440] Registered led device: rt2800pci-phy0::quality
[ 2.212123] phy0 -> rt2x00lib_request_firmware: Error - Failed to request Firmware.
geoff@geoff-laptop:~$

I do not understand why it has failed to request firmware.

Regards

Geoff

Denis Kurochkin (d-k-brazz) wrote :
Download full text (19.8 KiB)

Hi, Anthony

After installing linux-backports-modules-cw-3.6-quantal-generic wireless still not working, also stopped working ethernet controller.

here is my hardware info:

dkbrazz@hp:~$ sudo lshw -C network; rfkill list; sudo iwlist scanning; cat /etc/network/interfaces; cat /etc/lsb-release; lspci -nn; lsusb; sudo lshw -short; uname -a; dmesg | egrep 'acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|ireless|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|ound|p54|prism|rtl|rt2|rt3|rt5|rt6|rt7|usb|witch|wl';sudo dmidecode|egrep 'anufact|roduct|erial|elease'; iwconfig; cat /etc/modprobe.d/* | egrep 'acx|at76|ath|b43|bcm|brcm|CX|eth|ipw|irmware|isl|lbtf|orinoco|ndiswrapper|NPE|p54|prism|rtl|rt2|rt3|rt6|rt7|wmi|witch|wl'; cat /var/lib/NetworkManager/NetworkManager.state; sudo hwinfo --netcard ; ps -aux|egrep 'wpa|icd|etwork'; sudo lsmod
  *-network UNCLAIMED
       description: Network controller
       product: Ralink corp.
       vendor: Ralink corp.
       physical id: 0
       bus info: pci@0000:03:00.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: latency=0
       resources: memory:d0610000-d061ffff
  *-network UNCLAIMED
       description: Ethernet controller
       product: RTL8111/8168B PCI Express Gigabit Ethernet controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:04:00.0
       version: 07
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list
       configuration: latency=0
       resources: ioport:2000(size=256) memory:d0404000-d0404fff memory:d0400000-d0403fff
  *-network
       description: Ethernet interface
       physical id: 2
       logical name: usb0
       serial: 52:36:1e:59:de:c7
       capabilities: ethernet physical
       configuration: broadcast=yes driver=rndis_host driverversion=22-Aug-2005 firmware=RNDIS device ip=192.168.42.162 link=yes multicast=yes
lo Interface doesn't support scanning.

usb0 Interface doesn't support scanning.

# interfaces(5) file used by ifup(8) and ifdown(8)
auto lo
iface lo inet loopback
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.10
DISTRIB_CODENAME=quantal
DISTRIB_DESCRIPTION="Ubuntu 12.10"
00:00.0 Host bridge [0600]: Intel Corporation 3rd Gen Core processor DRAM Controller [8086:0154] (rev 09)
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09)
00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4)
00:1c.2 PCI bridge [0604...

Denis Kurochkin (d-k-brazz) wrote :

There is temporary workaround:

Install kernell 3.6.x from http://kernel.ubuntu.com/~kernel-ppa/mainline:

linux-headers-3.6.6-030606-generic_3.6.6-030606.201211050512_amd64.deb
linux-headers-3.6.6-030606_3.6.6-030606.201211050512_all.deb
linux-image-3.6.6-030606-generic_3.6.6-030606.201211050512_amd64.deb
linux-image-extra-3.6.6-030606-generic_3.6.6-030606.201211050512_amd64.deb

Then download firmware from kernel.org:
git clone git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
sudo cp linux-firmware/rt3290.bin /lib/firmware

reboot

But I hope that sometime this driver will be backported to 12.10

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu Precise):
status: New → Confirmed
Changed in linux-firmware (Ubuntu Quantal):
status: New → Confirmed
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
2 comments hidden view all 174 comments
Sean Feole (sfeole) wrote :

Confirmed that the workaround steps in Comment #8 work, I was able to get a HP Pavilion HP20 wifi back to life rt3290.

Bluetooth still appears to be offline RT3298

summary: - Need support of Ralink RT3290 support
+ Need support of Ralink RT3290 wifi support
Mark Jackson (mpfj) wrote :

Steps in comment #8 also work for me (I installed kernel 3.6.9).

This is on a Novatech nFinity n1402.

Tim Chen (ctf) wrote :

Also affect the system, HP 1000(Osaka 29, 201209-11735)

tags: added: blocks-hwcert
Dmitriy (dmishh) wrote :
Download full text (3.4 KiB)

Also affects HP 4740s notebook. But in my case step #8 solved problem until reboot and then i got "Wireless networks: device not ready" message in the connections popup window.

This is my config:

uname -a==============================================
Linux dmishh-hp 3.6.11-030611-generic #201212171335 SMP Mon Dec 17 18:36:00 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

ifconfig -a==============================================
eth0 Link encap:Ethernet HWaddr b4:b5:2f:7d:68:c1
          inet addr:192.168.0.102 Bcast:192.168.0.255 Mask:255.255.255.0
          inet6 addr: fe80::b6b5:2fff:fe7d:68c1/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:3307 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2781 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:3278098 (3.2 MB) TX bytes:497896 (497.8 KB)

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:1057 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1057 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:91410 (91.4 KB) TX bytes:91410 (91.4 KB)

wlan0 Link encap:Ethernet HWaddr 68:94:23:b7:45:1f
          BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)

iwconfig==============================================
eth0 no wireless extensions.

lo no wireless extensions.

wlan0 IEEE 802.11bgn ESSID:off/any
          Mode:Managed Access Point: Not-Associated Tx-Power=0 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off

sudo lshw -C network==============================================
  *-network DISABLED
       description: Wireless interface
       product: Ralink corp.
       vendor: Ralink corp.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 00
       serial: 68:94:23:b7:45:1f
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=rt2800pci driverversion=3.6.11-030611-generic firmware=0.37 latency=0 link=no multicast=yes wireless=IEEE 802.11bgn
       resources: irq:19 memory:c0610000-c061ffff
  *-network
       description: Ethernet interface
       product: RTL8111/8168B PCI Express Gigabit Ethernet controller
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 0
       bus info: pci@0000:04:00.0
       logical name: eth0
       version: 07
       serial: b4:b5:2f:7d:68:c1
       size: 100Mbit/s
       capacity: 1Gbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       co...

Read more...

Dmitriy (dmishh) wrote :

Oh, finally i've made wi-fi Ralink RT3290 work on HP ProBook 4740s with Ubuntu **12.04** and **3.6.11** kernel. Thanks to Denis! (see #8 post)
In Ubuntu 12.10 problem still exists.

P.S. I even tried to install Ubuntu 13.04 alpha1, but got the message "firmware is missing".

gorostas (kresimir-pendic) wrote :

Thank you Denis! (post #8)

I have successfully get it to work in 12.10.x64 with kernel v3.6.11!

# lspci -v_

04:00.0 Network controller: Ralink corp. Device 3290
 Subsystem: Hewlett-Packard Company Device 18ec
 Flags: bus master, fast devsel, latency 0, IRQ 19
 Memory at d0610000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 3
 Capabilities: [50] MSI: Enable- Count=1/32 Maskable- 64bit+
 Capabilities: [70] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [140] Device Serial Number 00-00-23-97-79-8e-3e-08
 Kernel driver in use: rt2800pci
 Kernel modules: rt2800pci

Thanks!

Denis Kurochkin (d-k-brazz) wrote :

I glad to see that my workaround has helped you

Has anyone faced with the low speed on 3.6.11?
I got normal speed on version 3.6.6 and earlier
All 3.6.7+ have low speed

Another problem is a signal power. It very low.
Has anyone faced this problem?

Ubuntu 12.10

Dmitriy (dmishh) wrote :

Denis, i had same problem with the low speed and low signal power on 3.6.11 and Ubuntu 12.04.
And after i executed "ifconfig wlan0 down" and then "ifconfig wlan0 up" - network manager started showing a message "device not ready" and i didn't know how to fix it.

After days of reinstalling OS I just give up and installed fresh 12.04 + manually compiled the driver.

Dmitriy (dmishh) wrote :

But with Ubuntu 12.04 and manually compiled driver i have issue when trying to shutdown/suspend, notebook automatically turns on/wakes up...

More info - http://askubuntu.com/a/236710/98557

Daniel Georgescu (dariusgeo) wrote :

Hi,
 I'm very new with Linux. I had the same problem ( wi-fi not recognized/working) on Ubuntu 12.10 - kernel 3.5.0-17. I followed the steps of comment #8 (Thank you, Dennis ). Now the wi-fi works fine, but after I finished the steps and reboot, with the new kernel
3.6.6 the system doesn't shut down. I press Shut Down and it restarts.
My system is a HP probook 4540s.
I installed the header files as follow :
sudo dpkg -i linux-image-3.6.6-030606-generic_3.6.6-030606.201211050512_amd64.deb
sudo dpkg -i linux-image-extra-3.6.6-030606-generic_3.6.6-030606.201211050512_amd64.deb
sudo dpkg -i linux-headers-3.6.6-030606_3.6.6-030606.201211050512_all.deb
sudo dpkg -i linux-headers-3.6.6-030606-generic_3.6.6-030606.201211050512_amd64.deb

Any help is very appreciated.
Thank you.

Denis Kurochkin (d-k-brazz) wrote :

Daniel, I faced with same problem
It looks like wlan module wakes up computer after it shut down
If WLAN was turned off by hardware button befor shutting down, it not wakes up computer.

Mark Jackson (mpfj) wrote :

Daniel / Dennis

Have you tried with some of the later 3.6.x kernels available from http://kernel.ubuntu.com/~kernel-ppa/mainline ?

Or even 3.7.x ?

Dmitriy (dmishh) wrote :

I tried 3.7 with Ubuntu 13.04 alpha1 and got same behavior as in 12.04/12.10 with 3.6 kernel. Computer shuts down correctly, but I got low speed + low signal level and after I tried to restart adapter it didn't start with message "device not ready". (HP ProBook 4740s)

schaefi (info-e) wrote :

I have the same problem on an HP envy 6-1160ez. The Ralink-Device for WLAN does not work.

I fear this bug will become more and more painful for ubuntu 12.10 since HP is using Ralink 3290 in many laptops.

I am quite disappointed by ubuntu because Fedora 18 supports the Raling WLAN out-of-the-box. The proposed workaround to upgrade to kernel 3.6.x seems to work but there have been reported some bugs (bad performance) as side-effect. I would expect that ubuntu comes out with a new "official" kernel for ubuntu 12.10 that fixes this bug as soon as possible.
I propose to raise the importance of this bug from "medium" to "high".

Here some more details of my system:

uname -a
Linux xxx 3.5.0-22-generic #34-Ubuntu SMP Tue Jan 8 21:47:00 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

sudo lshw -class network
...
  *-network UNCLAIMED
       description: Network controller
       product: Ralink corp.
       vendor: Ralink corp.
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: latency=0
       resources: memory:c0510000-c051ffff
...

lspci -nn
...
02:00.0 Network controller [0280]: Ralink corp. Device [1814:3290]
02:00.1 Bluetooth [0d11]: Ralink corp. Device [1814:3298]
...

I tried to update all drivers but still Ralink Wireless does not work.

information type: Public → Public Security
information type: Public Security → Public
information type: Public → Public Security
information type: Public Security → Public
rohit khatkar (khatkarrohit) wrote :

I tried RT3290 firmware with upgraded Linux kernel 3.7.8 on HP g6-2313AX. But it only work for few minutes like 25 minutes and then wifi got disconnected and it start aking wifi password again and again. After reboot, in network manager it says the Device Not Ready.

vit1967 (vit1967) on 2013-02-19
summary: - Need support of Ralink RT3290 wifi support
+ Need support of Ralink RT3290 wifi support ELSE !
1 comments hidden view all 174 comments
Tim Gardner (timg-tpi) wrote :

Y'all can try the 3.8 based kernel at https://launchpad.net/~ubuntu-x-swat/+archive/r-lts-backport. Install the package linux-generic-lts-raring.

Thanks, Tim. I'm having some difficulty getting this. I've followed the
instructions on the page for including the ppa but I can't see how to get
the package. Updater doesn't find it, nor does Software Update. Also,
linux-generic-lts-raring
is not listed on the page.

Cheers

David

On 20 February 2013 12:23, Tim Gardner <email address hidden> wrote:

> Y'all can try the 3.8 based kernel at
> https://launchpad.net/~ubuntu-x-swat/+archive/r-lts-backport. Install
> the package linux-generic-lts-raring.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1086650).
> https://bugs.launchpad.net/bugs/1049466
>
> Title:
> Need support of Ralink RT3290 wifi support ELSE !
>
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux-firmware” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Precise:
> Triaged
> Status in “linux-firmware” source package in Precise:
> Confirmed
> Status in “linux” source package in Quantal:
> Triaged
> Status in “linux-firmware” source package in Quantal:
> Confirmed
>
> Bug description:
> RT3290 wifi chip is becoming common on consumer notebooks. Its support
> starts from 3.6 so support on 12.10 may need lbm-cw.
>
> commit a89534edaaa7008992b878680490e9b02a665563
> Author: Woody Hung <email address hidden>
> Date: Wed Jun 13 15:01:16 2012 +0800
>
> rt2x00 : RT3290 chip support v4
>
> This patch support the new chipset rt3290 wifi implementation in
> rt2x00.
> It initailize the related mac, bbp and rf register in startup phase.
> And this patch modify the efuse read/write method for the different
> efuse data offset of rt3290.
>
> Signed-off-by: Woody Hung <email address hidden>
> Signed-off-by: John W. Linville <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466/+subscriptions
>

from a command line prompt, enter :

sudo add-apt-repository ppa:ubuntu-x-swat/r-lts-backport
sudo apt-get update
sudo apt-get install linux-generic-lts-raring

Following my last: I followed the instructions I found at
http://www.distrogeeks.com/install-linux-kernel-3-8-raring-ubuntu/2/ and,
after a second reboot, the wireless seems to work (as it did with 3.6.6)
but:

1. The wireless on/off switch doesn't function; if I unplug the ethernet
connection, the wireless connection takes over seemlessly, and
2. There's no bluetooth at all -- no adapter is found. Before, it was
toggled by the wirless switch.

Regards

David

On 20 February 2013 12:23, Tim Gardner <email address hidden> wrote:

> Y'all can try the 3.8 based kernel at
> https://launchpad.net/~ubuntu-x-swat/+archive/r-lts-backport. Install
> the package linux-generic-lts-raring.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1086650).
> https://bugs.launchpad.net/bugs/1049466
>
> Title:
> Need support of Ralink RT3290 wifi support ELSE !
>
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux-firmware” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Precise:
> Triaged
> Status in “linux-firmware” source package in Precise:
> Confirmed
> Status in “linux” source package in Quantal:
> Triaged
> Status in “linux-firmware” source package in Quantal:
> Confirmed
>
> Bug description:
> RT3290 wifi chip is becoming common on consumer notebooks. Its support
> starts from 3.6 so support on 12.10 may need lbm-cw.
>
> commit a89534edaaa7008992b878680490e9b02a665563
> Author: Woody Hung <email address hidden>
> Date: Wed Jun 13 15:01:16 2012 +0800
>
> rt2x00 : RT3290 chip support v4
>
> This patch support the new chipset rt3290 wifi implementation in
> rt2x00.
> It initailize the related mac, bbp and rf register in startup phase.
> And this patch modify the efuse read/write method for the different
> efuse data offset of rt3290.
>
> Signed-off-by: Woody Hung <email address hidden>
> Signed-off-by: John W. Linville <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466/+subscriptions
>

Thanks again, Tim. That got and installed 3.8.0.7. The position is the same
as I reported at 12.41. At least the system seems stable.

David

On 21 February 2013 12:36, Tim Gardner <email address hidden> wrote:

> from a command line prompt, enter :
>
> sudo add-apt-repository ppa:ubuntu-x-swat/r-lts-backport
> sudo apt-get update
> sudo apt-get install linux-generic-lts-raring
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1086650).
> https://bugs.launchpad.net/bugs/1049466
>
> Title:
> Need support of Ralink RT3290 wifi support ELSE !
>
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux-firmware” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Precise:
> Triaged
> Status in “linux-firmware” source package in Precise:
> Confirmed
> Status in “linux” source package in Quantal:
> Triaged
> Status in “linux-firmware” source package in Quantal:
> Confirmed
>
> Bug description:
> RT3290 wifi chip is becoming common on consumer notebooks. Its support
> starts from 3.6 so support on 12.10 may need lbm-cw.
>
> commit a89534edaaa7008992b878680490e9b02a665563
> Author: Woody Hung <email address hidden>
> Date: Wed Jun 13 15:01:16 2012 +0800
>
> rt2x00 : RT3290 chip support v4
>
> This patch support the new chipset rt3290 wifi implementation in
> rt2x00.
> It initailize the related mac, bbp and rf register in startup phase.
> And this patch modify the efuse read/write method for the different
> efuse data offset of rt3290.
>
> Signed-off-by: Woody Hung <email address hidden>
> Signed-off-by: John W. Linville <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466/+subscriptions
>

update! after #27
1) Following post number #8 but for more last 3.7.2-030702-generic:

2)
cd ~/dst/drv/WiFi/DPO_RT3290_LinuxSTA_V2600_20120508
sudo make
sudo make install

cat /etc/modprobe.d/blacklist.conf
...
#Wireless drivers conflicting with rt3562sta
blacklist rt2800pci
blacklist rt2x00pci

 cat /etc/modules
.....
loop
lp
rtc
rt3290sta

...after that did not work
but after the removal "rt3290sta"(Removed this str. because I wanted to not boot and did not take as much space is useless - lsmod rt3290sta 1174321 ) ,not immediately, but after a while, maybe after a few semi-automatic updates THAT DID WORK (now see all WiFi nets and now
I'm working through Wifi.
BUT...
Even after changing the kernel to this there a glitch: after switching off the notebook button successful landing and off with blanking of all the LEDs and the screen, Ceres 5 seconds it starts again
( uname -a
Linux vn-HP-ProBook-4740s 3.7.2-030702-generic #201301111424 SMP Fri Jan 11 19:25:11 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux )
Who know how to fix it?

vit1967 (vit1967) on 2013-02-22
summary: - Need support of Ralink RT3290 wifi support ELSE !
+ Need support of Ralink RT3290 wifi support
1 comments hidden view all 174 comments
Dmitriy (dmishh) wrote :

After installing the kernel 3.8.0-9 and copying the necessary firmware, the system has stabilized and after the shutdown the notebook didn't turn on its own. Wi-fi hardware button still doesn't work.
I have the same system behavior as David (#32) does.

Swed (sweduv-ghost) wrote :

I tried 8 different linux image versions (containing 3.6.6, 3.8.0,etc.) but still kernel panic after opening firefox.

I did make & make install on RT3290, I copied rt3290.bin.

What em I doing wrong? When I attach cable, everything is ok.

Swed (sweduv-ghost) wrote :

while trying kernel 3.8.0-11-generic
after make && make install

$ sudo modprobe rt3290sta
FATAL: Error inserting rt3290sta (/lib/modules/3.8.0-11-generic/kernel/drivers/net/wireless/rt3290sta.ko): Invalid module format

Albert (ishitcno1) wrote :

Just try to install the official driver.
You can find on this website.
http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501

See the discussion below to get help.
http://ubuntuforums.org/showthread.php?t=1850267

ubuntu12.04 ralink3290

Albert:

The link to the official drivers only lists an RT3290 Windows driver for
PCIe and I'm running Quantal on an HP Pavilion dm1 which is amd64; also,
the discussion link was for RT3562 on Oneiric. As a result, I am a little
reluctant to try what may cause more trouble. As things stand, I have
wireless when needed and no bluetooth (which I don't need anyway).

On 8 March 2013 07:50, Albert <email address hidden> wrote:

> Just try to install the official driver.
> You can find on this website.
> http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501
>
> See the discussion below to get help.
> http://ubuntuforums.org/showthread.php?t=1850267
>
> ubuntu12.04 ralink3290
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1086650).
> https://bugs.launchpad.net/bugs/1049466
>
> Title:
> Need support of Ralink RT3290 wifi support
>
> Status in “linux” package in Ubuntu:
> Triaged
> Status in “linux-firmware” package in Ubuntu:
> Confirmed
> Status in “linux” source package in Precise:
> Triaged
> Status in “linux-firmware” source package in Precise:
> Confirmed
> Status in “linux” source package in Quantal:
> Triaged
> Status in “linux-firmware” source package in Quantal:
> Confirmed
>
> Bug description:
> RT3290 wifi chip is becoming common on consumer notebooks. Its support
> starts from 3.6 so support on 12.10 may need lbm-cw.
>
> commit a89534edaaa7008992b878680490e9b02a665563
> Author: Woody Hung <email address hidden>
> Date: Wed Jun 13 15:01:16 2012 +0800
>
> rt2x00 : RT3290 chip support v4
>
> This patch support the new chipset rt3290 wifi implementation in
> rt2x00.
> It initailize the related mac, bbp and rf register in startup phase.
> And this patch modify the efuse read/write method for the different
> efuse data offset of rt3290.
>
> Signed-off-by: Woody Hung <email address hidden>
> Signed-off-by: John W. Linville <email address hidden>
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466/+subscriptions
>

Yung Shen (kaxing) on 2013-03-11
tags: added: 201208-11463 201209-11735 taipei-lab
Swed (sweduv-ghost) wrote :

Finally It works for me on HP ProBook 4340s with rt3290 !

My steps:
- I downgraded to ubuntu 12.04.
- Installed kernel 3.6.11 from #30
- make && make install DPO_RT3290_LinuxSTA_V2600_20120508 - important is not to change HAS_WPA_SUPPLICANT to HAS_WPA_NATIVE_SUPPLICANT
- Copied file from git #8
- And probably helped to blacklist: rt2860pci find by
 dmesg | grep rt2

I have issue with shutting down #20 and turn off wifi by hw wifi button doesn't help.

But guys, thank you a lot! I was installing it hundred times, I did hundreds of resets and hard button turn offs after kernel panic and it finally works. I will not upgrade as long as possible :-)

Noo, I was browsing for an hour without problem and after restart and turn on firefox - kernel panic.
How is this possible?

Changed in linux (Baltix):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Mantas Kriaučiūnas (mantas)
Tim Gardner (timg-tpi) on 2013-04-18
Changed in linux-firmware (Ubuntu Raring):
status: Confirmed → Fix Committed
Changed in linux-firmware (Ubuntu Raring):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2013-04-19
Changed in linux (Ubuntu Precise):
status: Triaged → Invalid
Changed in linux (Ubuntu Quantal):
status: Triaged → Invalid
Changed in linux (Ubuntu Raring):
status: Triaged → Fix Released
Changed in linux-firmware (Ubuntu Precise):
status: Confirmed → Won't Fix
Changed in linux-firmware (Ubuntu Quantal):
status: Confirmed → Won't Fix
Po-Hsu Lin (cypressyew) on 2013-04-22
tags: added: 201209-11722
Changed in linux-firmware (Ubuntu Precise):
status: Won't Fix → Fix Released
tenshi (nryu-hayabusa) on 2013-05-11
Changed in linux (Ubuntu Raring):
assignee: nobody → tenshi (nryu-hayabusa)
Daniel Manrique (roadmr) on 2013-05-25
Changed in linux-firmware (Ubuntu):
importance: Undecided → High
Jesus Abarca (jabas06) on 2013-07-02
Changed in linux (Baltix):
status: Confirmed → Opinion
Martin Pitt (pitti) on 2013-10-21
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
tags: added: patch
94 comments hidden view all 174 comments

Is there any hope of getting the rt2x00pci drivers to work properly on Ubuntu x64? This is what I get on 13.04 with kernel 3.8.0-33-generic

With Ralink driver and patch by bmlandis2010:

 Ralink STA ESSID:"DLink" Nickname:"RT3290STA"
          Mode:Managed Frequency=2.412 GHz Access Point: XX:XX:XX:XX:XX:XX
          Bit Rate=39 Mb/s
          RTS thr:off Fragment thr:off
          Link Quality=89/100 Signal level:-76 dBm Noise level:-91 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

With rt2x00pci driver:

wlan0 IEEE 802.11bgn ESSID:"DLink"
          Mode:Managed Frequency:2.412 GHz Access Point: XX:XX:XX:XX:XX:XX
          Bit Rate=19.5 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:on
          Link Quality=30/70 Signal level=-80 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:41 Invalid misc:1613 Missed beacon:0

Even though the signal levels are nearly equal (-76 dBm and -80 dBm) link quality with rt2x00pci is too low (30/70) when compared to Ralink driver (89/100). There are too many Tx excessive retries and Invalid misc values.

Please support this because it doesn't works on HP Pavilion Sleekbook 14 with Ubuntu Preinstalled.

Dmitry Kolesnikov (kastaneda) wrote :

Can anyone remove incorrect «Fix Released» status for Precise?

dudumomo (dudumomo) wrote :

Should the people from kernel.org or others be notified? Looks like the patch from #125 works for some people.

giardia (fabriziosm) wrote :

i opened a bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1244478 but maybe is a duplicate for this one, can you check? thanks

giardia (fabriziosm) wrote :

On my HP650 happened the same for comment #134. wifi and bluetooth worked fine, with good signal and working button, until kernel 3.2.0-54 on ubuntu 12.04 LTS 64-bit. From 3.2.0-54 problems begins.

I have ubuntu preinstalled on this laptop and i have a repository named: /main (hp.archive.canonical.com) that contain packages like:
rt3290bt-dkms rt3290bt driver in DKMS format.
oem-wireless-rt2x00-1044172-dkms and so on that are Manteined by Canonical OEM Services <email address hidden>

Maybe we should contact them or backport the driver in 3.2.0-54 to recent kernels.

or check http://hp.archive.canonical.com/dists/

greetings

giardia (fabriziosm) wrote :

edit: problem begins from 3.2.0-55

tags: added: regression-update
giardia (fabriziosm) on 2013-11-04
tags: added: kernel-bug-exists-upstream
nam1962 (amauryat) wrote :

Kernel 3.12 freshly released seems to solve.

I installed it on my 13.10 - wifi works - didn't have to re-patch.

Could somebody confirm that kernel 3.12 is ok for rt3290 ?

The way I installed 3.12 kernel here : http://forum.ubuntu-fr.org/viewtopic.php?pid=15107681#p15107681

Jovan Šikanja (joshibeast) wrote :

@nam1962
It's working!
Thanks a lot!
This solved my problem with my RT3290 on Ubuntu 13.10 x64

casper (casper-e) wrote :

Hi,
On my computer, on Windows 8, the wifi button seem to have its one driver. Perhaps that will help somebody to solve this problem with airplane mode.

nam1962 (amauryat) wrote :

Seems to work (thus to be included in) with kernel 3.12

Problem thus : with Saucy 13.10 signal 100% with Trusty 14.04 (kernel 3.12 included) signal 69% to 75% (My computer did'nt move and is less than 2 meters from uptodate wifi box)

ApportVersion: 2.12.6-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2983 F.... pulseaudio
 /dev/snd/controlC1: ubuntu 2983 F.... pulseaudio
CasperVersion: 1.336ubuntu1
DistroRelease: Ubuntu 14.04
LiveMediaBuild: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20131105)
MachineType: ASUSTeK COMPUTER INC. X450JF
MarkForUpload: True
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: initrd=/casper/initrd.lz file=/cdrom/preseed/hostname.seed boot=casper quiet splash -- BOOT_IMAGE=/casper/vmlinuz.efi
ProcVersionSignature: Ubuntu 3.12.0-1.3-generic 3.12.0-rc7
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.12.0-1-generic N/A
 linux-backports-modules-3.12.0-1-generic N/A
 linux-firmware 1.117
Tags: trusty
Uname: Linux 3.12.0-1-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 07/17/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 213
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: X450JF
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr213:bd07/17/2013:svnASUSTeKCOMPUTERINC.:pnX450JF:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX450JF:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X450JF
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

tags: added: apport-collected trusty

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

giardia (fabriziosm) wrote :

what about Bluetooth? Working? Or we need rt3290bt for that?

tags: removed: apport-collected trusty
tags: added: kernel-wifi
removed: wi-fi

Still on 3.12 kernel, wifi and Bluetooth are not working on fresh install
or livecd.

On Wednesday, November 6, 2013, Christopher M. Penalver wrote:

> ** Tags removed: apport-collected trusty
>
> ** Tags removed: wi-fi
> ** Tags added: kernel-wifi
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1049466
>
> Title:
> Need support of Ralink RT3290 wifi support
>
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in “linux-firmware” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Precise:
> Invalid
> Status in “linux-firmware” source package in Precise:
> Fix Released
> Status in “linux” source package in Quantal:
> Invalid
> Status in “linux-firmware” source package in Quantal:
> Won't Fix
> Status in “linux” source package in Raring:
> Fix Released
> Status in “linux-firmware” source package in Raring:
> Fix Released
> Status in “linux” package in Baltix:
> Opinion
> Status in “linux” package in Gentoo Linux:
> New
>
> Bug description:
> RT3290 wifi chip is becoming common on consumer notebooks. Its support
> starts from 3.6 so support on 12.10 may need lbm-cw.
>
> commit a89534edaaa7008992b878680490e9b02a665563
> Author: Woody Hung <<email address hidden> <javascript:;>>
> Date: Wed Jun 13 15:01:16 2012 +0800
>
> rt2x00 : RT3290 chip support v4
>
> This patch support the new chipset rt3290 wifi implementation in
> rt2x00.
> It initailize the related mac, bbp and rf register in startup phase.
> And this patch modify the efuse read/write method for the different
> efuse data offset of rt3290.
>
> Signed-off-by: Woody Hung <<email address hidden> <javascript:;>>
> Signed-off-by: John W. Linville <<email address hidden><javascript:;>
> >
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1049466/+subscriptions
>

casper (casper-e) wrote :

Hi,
What is written on post 116 works on my computer with 12.04.
Since yesterday, no problem, but this evening, 3 times my computer was disconnected, and sometimes wifi took time to connect again, even my box was detected.
I had a look at my syslog, those lignes appear when wifi disconnect :
[code]Nov 7 22:04:59 casper-laptop kernel: [ 6203.529585] set BASize=7
Nov 7 22:05:00 casper-laptop NetworkManager[1072]: <info> (ra0): roamed from BSSID (none) ((none)) to xxxxxxxxxxxxx(freebox_casper)
Nov 7 22:05:07 casper-laptop wpa_supplicant[1206]: CTRL-EVENT-DISCONNECTED bssid=xxxxxxxxxreason=0
Nov 7 22:05:07 casper-laptop kernel: [ 6211.669141] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/cmm_asic.c:2608 assert KeyIdx < 4failed
Nov 7 22:05:07 casper-laptop kernel: [ 6211.669156] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/cmm_asic.c:2608 assert KeyIdx < 4failed
Nov 7 22:05:07 casper-laptop NetworkManager[1072]: <info> (ra0): supplicant interface state: completed -> disconnected
Nov 7 22:05:07 casper-laptop NetworkManager[1072]: <info> (ra0): supplicant interface state: disconnected -> scanning
Nov 7 22:05:09 casper-laptop kernel: [ 6213.627760] ===>rt_ioctl_giwscan. 24(24) BSS returned, data->length = 4527
Nov 7 22:05:09 casper-laptop wpa_supplicant[1206]: Trying to associate withxxxxx (SSID='xxxxxxx' freq=2462 MHz)
Nov 7 22:05:09 casper-laptop kernel: [ 6213.629205] ==>rt_ioctl_siwfreq::SIOCSIWFREQ(Channel=11)
Nov 7 22:05:09 casper-laptop wpa_supplicant[1206]: Association request to the driver failed
[/code]

  I had this problem only this evening. I restart my network and all is ok now, but afraid that will appear again. Perhaps it' s possible to improve that ?

Vintozver (vintozver) wrote :
Download full text (4.7 KiB)

I have the problem with excessive TX retries and "invalid misc" high rate. Connect to AP, connected a minute mostly, then disconnect. dmesg log:

'''
[ 1864.727785] rt2800pci 0000:04:00.0: irq 50 for MSI/MSI-X
[ 1864.727864] ieee80211 phy3: rt2x00_set_rt: Info - RT chipset 3290, rev 0015 detected
[ 1864.731584] ieee80211 phy3: rt2x00_set_rf: Info - RF chipset 3290 detected
[ 1864.731801] ieee80211 phy3: Selected rate control algorithm 'minstrel_ht'
[ 1873.095306] r8169 0000:05:00.0 eth0: link down
[ 1873.095393] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 1873.105224] ieee80211 phy3: rt2x00lib_request_firmware: Info - Loading firmware file 'rt3290.bin'
[ 1873.105264] ieee80211 phy3: rt2x00lib_request_firmware: Info - Firmware detected - version: 0.37
[ 1873.153562] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1873.154278] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1873.246609] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.310354] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.374471] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.438536] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.502587] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.566710] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.630639] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.694804] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.758890] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.823006] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.887090] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.987241] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1873.988072] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1874.051178] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1874.052100] ieee80211 phy3: rt2800pci_txdone: Warning - Got TX status for an empty queue 0, dropping
[ 1874.656017] wlan0: authenticate with 00:8c:54:4d:31:e4
[ 1874.671157] wlan0: send auth to 00:8c:54:4d:31:e4 (try 1/3)
[ 1874.672625] wlan0: authenticated
[ 1874.675013] wlan0: associate with 00:8c:54:4d:31:e4 (try 1/3)
[ 1874.678024] wlan0: RX AssocResp from 00:8c:54:4d:31:e4 (capab=0x411 status=0 aid=13)
[ 1874.678177] wlan0: associated
[ 1874.678779] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 1874.679102] cfg80211: Calling CRDA for country: LT
[ 1874.683604] cfg80211: Regulatory domain changed to country: LT
[ 1874.683610] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 1874.683614] cfg80211: (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[ 1874.683616] cfg80211:...

Read more...

brianM (brian-reachharbour) wrote :

I still have this problem with the latest 13.10 updates. 13.04 works but is slow compared to W8. My laptop is HP 15e010ax with amd a6-5200

My laptop is HP ENVY dv6. Since the upgrade to 13.10 WiFi isn't working reliably anymore; today I'm using 3.11.0-14-generic kernel . The only way I can manage to work around the WiFi los is by changing the authentication method on our AP to WEP(!). Any other authentication is broken.
WiFi signal is weak even at a close range. I tried also #125 and upgrading the kernel to 3.12 to no avail.
On 13.04 WiFi was working quite well.

Luis Alvarado (luisalvarado) wrote :

Having same problem with the rt2860 module (Linksys WMP600n). Using kernel 3.11.0-14.

Changed in linux-firmware (Ubuntu):
assignee: nobody → brahmanpc@gmail.com (brahmanpc)
pim bombeeck (pimbombeeck) wrote :

this is still hapening on 14.04 on kernel : 3.12.0-7-generic #15-Ubuntu SMP Sun Dec 8 23:42:09 UTC 2013 i686
logs are :

Dec 19 11:04:03 AOD257 kernel: [28493.500104] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:04 AOD257 kernel: [28493.948090] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:04 AOD257 kernel: [28494.460181] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:05 AOD257 kernel: [28494.924183] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:05 AOD257 kernel: [28495.436186] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:05 AOD257 kernel: [28495.884159] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:06 AOD257 kernel: [28496.332186] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:06 AOD257 kernel: [28496.780180] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:04:07 AOD257 kernel: [28497.228181] ieee80211 phy0: rt2x00queue_flush_queue: Warning - Queue 2 failed to flush
Dec 19 11:05:08 AOD257 NetworkManager[704]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted

giardia (fabriziosm) wrote :

just wondering if the patch/workaround for a similar bug can help https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1244478/comments/31

brianM (brian-reachharbour) wrote :

I am now using the latest 13.10 kernel (13.11.0-15) and the bug has
been fixed - but still poor performance compared to Windows 8. See
also bug 1252962

On 19 December 2013 22:29, giardia <email address hidden> wrote:
> just wondering if the patch/workaround for a similar bug can help
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1244478/comments/31
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1049466
>
> Title:
> Need support of Ralink RT3290 wifi support
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1049466/+subscriptions

Jarl (jarl-dk) wrote :

Since this bug is about support for RT3290 and I have seen RT3290 to be working fine in 13.04 I consider the support for RT3290 to be in place.

However In Ubuntu 13.10 there seems to be a bug introduced with kernel 3.11, so I have created a separate bug for that at
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1265151

I don't know whether that is the correct way to do it, please feel free to mark it as duplicate if that is the correct thing to do. At lease I find it usefull that others have identified what I believe it the offending commit in the kernel:
http://www.spinics.net/lists/linux-wireless/msg113047.html

dudumomo (dudumomo) wrote :

No improvement from my side on my Asus X450JF.
Using the latest 14.04 build of today (31st Dec build) on Kernel 3.12.0-7 doesn't change.

I still cannot activate the wifi. Recognized but not working.

Any hints?

Thank you

Lonny (lonny-selinger) wrote :
Download full text (12.1 KiB)

Distributor ID: Ubuntu
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty

Kernel 3.13.0-12

I upgraded this morning hoping there would be support for the rt3290 native support but it was not there. Booted in to the 3.13 kernel I thought I'd try compiling the patched version in hopes that maybe I could get the dkms stuff working but the build fails. Here is the output from the make log:

DKMS make.log for rt3290sta-2.6.0.0 for kernel 3.13.0-12-generic (x86_64)
Thu Feb 27 10:23:51 CST 2014
make: Entering directory `/var/lib/dkms/rt3290sta/2.6.0.0/build/src'
make -C tools
make[1]: Entering directory `/var/lib/dkms/rt3290sta/2.6.0.0/build/src/tools'
gcc -g bin2h.c -o bin2h
chmod +x bin2h
make[1]: Leaving directory `/var/lib/dkms/rt3290sta/2.6.0.0/build/src/tools'
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/tools/bin2h
cp -f os/linux/Makefile.6 /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/Makefile
make -C /lib/modules/3.13.0-12-generic/build SUBDIRS=/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux modules
make[1]: Entering directory `/usr/src/linux-headers-3.13.0-12-generic'
  CC [M] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_md5.o
  CC [M] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_sha2.o
  CC [M] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_hmac.o
  CC [M] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_aes.o
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_aes.c: In function ‘AES_Key_Wrap’:
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_aes.c:1466:6: warning: format ‘%d’ expects argument of type ‘int’, but argument 2 has type ‘long unsigned int’ [-Wformat=]
      DBGPRINT(RT_DEBUG_ERROR, ("AES_Key_Wrap: allocate %d bytes memory failure.\n", sizeof(UINT8)*PlainTextLength));
      ^
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_aes.c: In function ‘AES_Key_Unwrap’:
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_aes.c:1561:6: warning: format ‘%d’ expects argument of type ‘int’, but argument 2 has type ‘long unsigned int’ [-Wformat=]
      DBGPRINT(RT_DEBUG_ERROR, ("AES_Key_Unwrap: allocate %d bytes memory failure.\n", sizeof(UINT8)*PlainLength));
      ^
  CC [M] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/crypt_arc4.o
  CC [M] /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/mlme.o
In file included from /var/lib/dkms/rt3290sta/2.6.0.0/build/src/include/rtmp_os.h:42:0,
                 from /var/lib/dkms/rt3290sta/2.6.0.0/build/src/include/rtmp_comm.h:56,
                 from /var/lib/dkms/rt3290sta/2.6.0.0/build/src/include/rt_config.h:36,
                 from /var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/mlme.c:30:
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/mlme.c: In function ‘MlmeResetRalinkCounters’:
/var/lib/dkms/rt3290sta/2.6.0.0/build/src/os/linux/../../common/mlme.c:529:7: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
       (UINT32)&pAd->RalinkCounters.OneSecEnd -
       ^
/var/l...

LinuxPanda (linuxpanda) wrote :

Today I installed trusty tahr daily build which has firmware 3.13.0-23-generic and the bug still exists.

The network manager will

1) ask for wifi password
2) try to authenticate with the wifi modem
3) time out

and then repeat the process again from step 1.

Displaying first 40 and last 40 comments. View all 174 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.